Digital wallets
GET https://linkeer.io/api/digital-wallets/
curl --request GET \
--url 'https://linkeer.io/api/digital-wallets/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linkeer.io/api/digital-wallets/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| domain_id | Opcional Entero | Dominio |
| link_id | Opcional Entero | Link ID |
| search | Opcional Traducir, pero evitar devolver puntos finales: Cadena | La cadena de búsqueda |
| search_by | Opcional Traducir, pero evitar devolver puntos finales: Cadena | ¿Por qué campo estás buscando? Los valores permitidos son: name. |
| datetime_field | Opcional Traducir, pero evitar devolver puntos finales: Cadena | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Traducir, pero evitar devolver puntos finales: Cadena | Filtrar resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Traducir, pero evitar devolver puntos finales: Cadena | Filtra resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Traducir, pero evitar devolver puntos finales: Cadena | ¿Por cuál campo ordenar los resultados? Los valores permitidos son: digital_wallet_id, domain_id, link_id, pageviews, last_datetime, name, datetime |
| order_type | Opcional Traducir, pero evitar devolver puntos finales: Cadena | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente y DESC para orden descendente. |
| page | Opcional Entero | El número de página del que deseas obtener resultados. Por defecto es 1 |
| results_per_page | Opcional Entero | ¿Cuántos resultados deseas por página? Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. El valor predeterminado es 25. |
{
"data": [
{
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Business card",
"pageviews": 0,
"settings": {
"title": "PHP Developer",
"subtitle": "AltumCode",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "hello@example.com",
"website": "https://example.com"
},
"last_datetime": null,
"datetime": "2026-07-14 03:15:00"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://linkeer.io/api/digital-wallets?page=1",
"last": "https://linkeer.io/api/digital-wallets?page=1",
"next": null,
"prev": null,
"self": "https://linkeer.io/api/digital-wallets?page=1"
}
}
GET https://linkeer.io/api/digital-wallets/{digital_wallet_id}
curl --request GET \
--url 'https://linkeer.io/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linkeer.io/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Business card",
"pageviews": 0,
"settings": {
"title": "PHP Developer",
"subtitle": "AltumCode",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "hello@example.com",
"website": "https://example.com"
},
"last_datetime": null,
"datetime": "2026-07-14 03:15:00"
}
}
POST https://linkeer.io/api/digital-wallets
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Requerido Traducir, pero evitar devolver puntos finales: Cadena | Internal name used to identify this wallet card in your account. |
| title | Requerido Traducir, pero evitar devolver puntos finales: Cadena | Main text displayed on the Digital Wallet card. |
| location_url | Requerido Traducir, pero evitar devolver puntos finales: Cadena | This URL is used for the Digital Wallet QR code and main action. |
| link_id | Opcional Entero | Optionally choose one of your existing links. Its destination URL will be used automatically. |
| subtitle | Opcional Traducir, pero evitar devolver puntos finales: Cadena | Optional supporting text shown below the title. |
| logo | Opcional Archivo | Logo |
| image | Opcional Archivo | Wide banner shown at the top of the Digital Wallet card. Recommended aspect ratio: 3:1. |
| background_color | Opcional Traducir, pero evitar devolver puntos finales: Cadena | Background color |
| phone | Opcional Traducir, pero evitar devolver puntos finales: Cadena | Phone number |
| Opcional Traducir, pero evitar devolver puntos finales: Cadena | Correo electrónico | |
| website | Opcional Traducir, pero evitar devolver puntos finales: Cadena | Website |
curl --request POST \
--url 'https://linkeer.io/api/digital-wallets' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Business card' \
--form 'title=PHP Developer' \
--form 'subtitle=AltumCode' \
--form 'location_url=https://example.com' \
--form 'background_color=#111827' \
--form 'email=hello@example.com'
--url 'https://linkeer.io/api/digital-wallets' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Business card' \
--form 'title=PHP Developer' \
--form 'subtitle=AltumCode' \
--form 'location_url=https://example.com' \
--form 'background_color=#111827' \
--form 'email=hello@example.com'
{
"data": {
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Business card",
"pageviews": 0,
"settings": {
"title": "PHP Developer",
"subtitle": "AltumCode",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "hello@example.com",
"website": "https://example.com"
},
"last_datetime": null,
"datetime": "2026-07-14 03:15:00"
}
}
POST https://linkeer.io/api/digital-wallets/{digital_wallet_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Traducir, pero evitar devolver puntos finales: Cadena | Internal name used to identify this wallet card in your account. |
| title | Opcional Traducir, pero evitar devolver puntos finales: Cadena | Main text displayed on the Digital Wallet card. |
| location_url | Opcional Traducir, pero evitar devolver puntos finales: Cadena | This URL is used for the Digital Wallet QR code and main action. |
| link_id | Opcional Entero | Optionally choose one of your existing links. Its destination URL will be used automatically. |
| subtitle | Opcional Traducir, pero evitar devolver puntos finales: Cadena | Optional supporting text shown below the title. |
| logo | Opcional Archivo | Logo |
| image | Opcional Archivo | Wide banner shown at the top of the Digital Wallet card. Recommended aspect ratio: 3:1. |
| background_color | Opcional Traducir, pero evitar devolver puntos finales: Cadena | Background color |
| phone | Opcional Traducir, pero evitar devolver puntos finales: Cadena | Phone number |
| Opcional Traducir, pero evitar devolver puntos finales: Cadena | Correo electrónico | |
| website | Opcional Traducir, pero evitar devolver puntos finales: Cadena | Website |
curl --request POST \
--url 'https://linkeer.io/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated business card' \
--form 'title=Senior PHP Developer'
--url 'https://linkeer.io/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated business card' \
--form 'title=Senior PHP Developer'
{
"data": {
"id": 1,
"hash": "aB3dE5gH7jK9mN2p",
"user_id": 1,
"domain_id": null,
"link_id": null,
"location_url": "https://example.com",
"name": "Updated business card",
"pageviews": 0,
"settings": {
"title": "Senior PHP Developer",
"subtitle": "AltumCode",
"logo": "logo.png",
"image": "banner.png",
"background_color": "#111827",
"phone": "+40 000 000 000",
"email": "hello@example.com",
"website": "https://example.com"
},
"last_datetime": "2026-07-14 03:15:00",
"datetime": "2026-07-14 03:15:00"
}
}
DELETE https://linkeer.io/api/digital-wallets/{digital_wallet_id}
curl --request DELETE \
--url 'https://linkeer.io/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linkeer.io/api/digital-wallets/{digital_wallet_id}' \
--header 'Authorization: Bearer {api_key}' \